[arch-commits] Commit in python-pyjwt/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Thu Jun 22 15:08:46 UTC 2017


    Date: Thursday, June 22, 2017 @ 15:08:45
  Author: felixonmars
Revision: 239581

archrelease: copy trunk to community-any

Added:
  python-pyjwt/repos/community-any/PKGBUILD
    (from rev 239580, python-pyjwt/trunk/PKGBUILD)
Deleted:
  python-pyjwt/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  108 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 54 insertions(+), 54 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-06-22 15:08:25 UTC (rev 239580)
+++ PKGBUILD	2017-06-22 15:08:45 UTC (rev 239581)
@@ -1,54 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-pyjwt
-pkgname=('python-pyjwt' 'python2-pyjwt')
-pkgver=1.5.0
-pkgrel=1
-pkgdesc='JSON Web Token implementation in Python'
-arch=('any')
-url='http://github.com/jpadilla/pyjwt'
-license=('MIT')
-makedepends=('python-setuptools' 'python2-setuptools')
-checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'python-pytest-cov' 'python2-pytest-cov')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/jpadilla/pyjwt/archive/$pkgver.tar.gz")
-sha512sums=('1b5c0d558605b755b95eb2c2d34f467756cae81c67a1f2b47096bf513f669d93d85f4a16fa11e5a3630525497e5c86e424a161d4d834aed1270549a1715c0672')
-
-prepare() {
-  sed -i 's/pytest==2.7.3/pytest/' pyjwt-$pkgver/setup.py
-  cp -a pyjwt-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/pyjwt-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/pyjwt-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/pyjwt-$pkgver
-  python setup.py pytest
-
-  cd "$srcdir"/pyjwt-$pkgver-py2
-  python2 setup.py pytest || warning "Tests failed"
-}
-
-package_python-pyjwt() {
-  depends=('python-setuptools')
-
-  cd pyjwt-$pkgver
-  python3 setup.py install --root="$pkgdir" -O1
-  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python2-pyjwt() {
-  depends=('python2-setuptools')
-
-  cd pyjwt-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" -O1
-  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-
-  mv "$pkgdir"/usr/bin/pyjwt{,2}
-}

Copied: python-pyjwt/repos/community-any/PKGBUILD (from rev 239580, python-pyjwt/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-06-22 15:08:45 UTC (rev 239581)
@@ -0,0 +1,54 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-pyjwt
+pkgname=('python-pyjwt' 'python2-pyjwt')
+pkgver=1.5.1
+pkgrel=1
+pkgdesc='JSON Web Token implementation in Python'
+arch=('any')
+url='http://github.com/jpadilla/pyjwt'
+license=('MIT')
+makedepends=('python-setuptools' 'python2-setuptools')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'python-pytest-cov' 'python2-pytest-cov')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/jpadilla/pyjwt/archive/$pkgver.tar.gz")
+sha512sums=('9319dc0eb643e9c5bfeb7cc1c23a59429fb661d7898a85ddb3b0cdc9c3dad1ac4735e6444e55615783895810ebcd0bcd17fb108f4a3d055f68c609d569f76e30')
+
+prepare() {
+  sed -i 's/pytest==2.7.3/pytest/' pyjwt-$pkgver/setup.py
+  cp -a pyjwt-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/pyjwt-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/pyjwt-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/pyjwt-$pkgver
+  python setup.py pytest
+
+  cd "$srcdir"/pyjwt-$pkgver-py2
+  python2 setup.py pytest || warning "Tests failed"
+}
+
+package_python-pyjwt() {
+  depends=('python-setuptools')
+
+  cd pyjwt-$pkgver
+  python3 setup.py install --root="$pkgdir" -O1
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-pyjwt() {
+  depends=('python2-setuptools')
+
+  cd pyjwt-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" -O1
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+  mv "$pkgdir"/usr/bin/pyjwt{,2}
+}



More information about the arch-commits mailing list